## postgresql-common 165+deb8u4

=== Makefile ===
POD2MAN=pod2man --center "Debian PostgreSQL infrastructure" -r "Debian"
POD1PROGS = pg_conftool.1 \
	    pg_createcluster.1 \
	    pg_ctlcluster.1 \
	    pg_dropcluster.1 \
	    pg_lsclusters.1 \
	    pg_upgradecluster.1 \
	    pg_wrapper.1
POD1PROGS_POD = pg_buildext.1 \
		pg_virtualenv.1
POD8PROGS = pg_updatedicts.8

all: man

man: $(POD1PROGS) $(POD1PROGS_POD) $(POD8PROGS)

%.1: %.pod
	$(POD2MAN) --quotes=none --section 1 $< $@

%.1: %
	$(POD2MAN) --quotes=none --section 1 $< $@

%.8: %
	$(POD2MAN) --quotes=none --section 8 $< $@

clean:
	rm -f *.1 *.8

=== debian/changelog ===
postgresql-common (165+deb8u4) jessie-security; urgency=medium

  * pg_ctlcluster: Drop privileges before creating socket and stats temp
    directories outside /var/run/postgresql. The default configuration is not
    affected by this change. Users with directories on volatile storage
    (tmpfs) in other locations have to make sure the parent directory is
    writable for the cluster owner. (CVE-2019-3466, discovered by Rich Mirch)

 -- Christoph Berg <myon@debian.org>  Tue, 12 Nov 2019 15:00:36 +0100

=== debian/control ===
Source: postgresql-common
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Martin Pitt <mpitt@debian.org>, Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
Standards-Version: 3.9.5
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git -b jessie
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
Build-Depends: debhelper (>= 9),
 dh-systemd (>= 1.19) | sysvinit (<< 2.88dsf-42),
 lsb-release

Package: postgresql-common
Architecture: all
Multi-Arch: foreign
Conflicts: postgresql-7.4, postgresql-8.0
Depends: postgresql-client-common (>= ${source:Version}), 
 procps, 
 adduser,
 debconf (>= 0.5.00) | debconf-2.0,
 lsb-base (>= 3.0-3),
 ssl-cert (>= 1.0.11),
 ucf,
 ${misc:Depends}
Recommends: logrotate
Breaks: postgresql-9.1 (<< 9.1.1-3~)
Description: PostgreSQL database-cluster manager
 The postgresql-common package provides a structure under which
 multiple versions of PostgreSQL may be installed and/or multiple
 clusters maintained at one time.
 .
 This package will automatically create a (self-signed) certificate so
 that SSL connections are supported.
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: postgresql-client-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${pgdg:Depends},
 netbase
Recommends: lsb-release, libreadline6
Description: manager for multiple PostgreSQL client versions
 The postgresql-client-common package provides a structure under which
 multiple versions of PostgreSQL client programs may be installed at
 the same time. It provides a wrapper which selects the right version
 for the particular cluster you want to access (with a command line
 option, an environment variable, /etc/postgresql-common/user_clusters,
 or ~/.postgresqlrc).
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: postgresql-server-dev-all
Architecture: all
Depends: ${misc:Depends},
 postgresql-common (>= 117~),
 iproute2 | net-tools,
 lsb-release,
 dctrl-tools,
 make,
 ${server-dev-all-depends}
Description: extension build tool for multiple PostgreSQL versions
 The postgresql-server-dev-all package provides the pg_buildext script for
 simplifying packaging of a PostgreSQL extension supporting multiple major
 versions of the product.
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: postgresql
Architecture: all
Depends: postgresql-${default-version}, ${misc:Depends}
Suggests: postgresql-doc
Description: object-relational SQL database (supported version)
 This metapackage always depends on the currently supported PostgreSQL
 database server version.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-client
Architecture: all
Multi-Arch: foreign
Depends: postgresql-client-${default-version}, ${misc:Depends}
Description: front-end programs for PostgreSQL (supported version)
 This metapackage always depends on the currently supported database
 client package for PostgreSQL.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: postgresql-doc-${default-version}, ${misc:Depends}
Description: documentation for the PostgreSQL database management system
 This metapackage always depends on the currently supported PostgreSQL
 database documentation package.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-contrib
Architecture: all
Depends: postgresql-contrib-${default-version}, ${misc:Depends}
Description: additional facilities for PostgreSQL (supported version)
 This metapackage always depends on the currently supported PostgreSQL
 database contrib package.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

## postgresql-common 166bzr2

=== debian/changelog ===
postgresql-common (166bzr2) vivid; urgency=medium

  [ Christoph Berg ]
  * pg_conftool: Fix 'remove' operation. Spotted by François Henry, merci!
    (Closes: #778243)
  * t/007_pg_conftool.t: Add pg_conftool tests.

  [ Martin Pitt ]
  * debian/maintscripts-functions: Avoid package installation failure of -9.1
    due to the pg_basebackup.1 alternative on systems which have both -9.1 and
    a later version installed in parallel. On those, pg_basebackup.1 will
    already be in the psql.1.gz group, thus -9.1 must not try to put it back
    into the postmaster.1.gz group. (LP: #1357682)
  * Add "default-psql" autopkgtest: Smoketest to verify that installing the
    "postgresql" metapackage results in a running and working cluster.
  * debian/maintscripts-functions, configure_cluster(): When running under
    systemd, do a daemon-reload to re-run the generator and thus create a unit
    for the newly created cluster.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 10 Mar 2015 11:26:36 +0100

postgresql-common (166) unstable; urgency=medium

  * postgresql-common: Breaks: systemd (<< 204). postgresql@.service uses
    reload-related config options that are incompatible with the systemd
    version in wheezy. (Consider upgrading to the wheezy-backports version.)
  * pg_renamecluster: New tool to rename clusters.
  * pg_upgradecluster: --rename allows renaming the upgraded cluster.
  * pg_conftool: Allow to "edit" files.
  * PgCommon.pm, pg_lsclusters: Fix thinko which broke logging to
    /var/log/postgresql when log_destination was "syslog,stderr". The default
    logfile is now always used even if logging_collector is enabled; it
    receives the log messages produced before logging_collector is started.
  * t/020_create_sql_remove.t: Versions >= 9.0 are OOM-protected.

 -- Christoph Berg <myon@debian.org>  Thu, 05 Feb 2015 22:19:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>, Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
 Standards-Version: 3.9.5
-Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git -b jessie
-Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
+Vcs-Bzr: https://alioth.debian.org/scm/loggerhead/pkg-postgresql/postgresql-common/trunk
+Vcs-Browser: https://alioth.debian.org/scm/loggerhead/pkg-postgresql/postgresql-common/trunk/changes
 Build-Depends: debhelper (>= 9),
  dh-systemd (>= 1.19) | sysvinit (<< 2.88dsf-42),
  lsb-release
@@ -23,14 +23,15 @@
  ucf,
  ${misc:Depends}
 Recommends: logrotate
-Breaks: postgresql-9.1 (<< 9.1.1-3~)
+Breaks: postgresql-9.1 (<< 9.1.1-3~), systemd (<< 204)
 Description: PostgreSQL database-cluster manager
  The postgresql-common package provides a structure under which
  multiple versions of PostgreSQL may be installed and/or multiple
  clusters maintained at one time.
  .
- This package will automatically create a (self-signed) certificate so
- that SSL connections are supported.
+ The commands provided are pg_conftool, pg_createcluster, pg_ctlcluster,
+ pg_dropcluster, pg_lsclusters, pg_renamecluster, pg_upgradecluster,
+ pg_virtualenv.
  .
  PostgreSQL is a fully featured object-relational database management
  system. It supports a large part of the SQL standard and is designed

## postgresql-common 166tanglu1

=== debian/changelog ===
postgresql-common (166tanglu1) staging; urgency=medium

  * Merge with Debian unstable, remaining change:
    - Add Tanglu support to debian/supported-versions

 -- Matthias Klumpp <mak@debian.org>  Thu, 12 Mar 2015 15:21:14 +0100

## postgresql-common 169git1

=== debian/changelog ===
postgresql-common (169git1) wily; urgency=medium

  Upload current git head to fix autopkgtest regression.

  [ Christoph Berg ]
  * t/025_logging.t: Improve syslog detection in the test environment.
  * pg_upgradecluster, t/030_errors.t: Unbreak after we changed the old=new
    error message.
  * PgCommon.pm: make read_cluster_conf_file read postgresql.auto.conf as well
    (Closes: #787154)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 06 Jun 2015 12:16:06 +0200

postgresql-common (169) unstable; urgency=medium

  * t/022_recovery.t: New recovery tests to catch regression in 9.4.2 and
    9.1.16.
  * pg_upgradecluster: Set default dynamic_shared_memory_type = mmap.
    (Closes: #784005)
  * pg_upgradecluster: Complain if --link is used without --method=upgrade.
  * pg_upgradecluster: Better error message when old and new version are
    equal.

 -- Christoph Berg <myon@debian.org>  Thu, 04 Jun 2015 12:09:53 +0200

postgresql-common (168) unstable; urgency=medium

  [ Martin Pitt ]
  * Drop obsolete debian/backport-ppa script.
  * debian/tests/default-psql: Skip test if default cluster creation is
    disabled in createcluster.conf.

  [ Christoph Berg ]
  * t/170_extensions.t: Refactor dependency handling and add new extensions
    shipped with 9.5.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 21 May 2015 11:28:45 +0200

postgresql-common (167) unstable; urgency=medium

  [ Christoph Berg ]
  * pg_conftool: Fix 'remove' operation. Spotted by François Henry, merci!
    (Closes: #778243)
  * t/007_pg_conftool.t: Add pg_conftool tests.

  [ Martin Pitt ]
  * debian/maintscripts-functions: Avoid package installation failure of -9.1
    due to the pg_basebackup.1 alternative on systems which have both -9.1 and
    a later version installed in parallel. On those, pg_basebackup.1 will
    already be in the psql.1.gz group, thus -9.1 must not try to put it back
    into the postmaster.1.gz group. (LP: #1357682)
  * Add "default-psql" autopkgtest: Smoketest to verify that installing the
    "postgresql" metapackage results in a running and working cluster.
  * debian/maintscripts-functions, configure_cluster(): When running under
    systemd, do a daemon-reload to re-run the generator and thus create a unit
    for the newly created cluster.
  * Move package maintenance to git, update Vcs-* tags accordingly.
  * Bump Standards-Version to 3.9.6 (no changes necessary).
  * supported-versions: Add Ubuntu 15.10.

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 May 2015 11:28:26 +0200

## postgresql-common 173

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 	    pg_ctlcluster.1 \
 	    pg_dropcluster.1 \
 	    pg_lsclusters.1 \
+	    pg_renamecluster.1 \
 	    pg_upgradecluster.1 \
 	    pg_wrapper.1
 POD1PROGS_POD = pg_buildext.1 \

=== debian/changelog ===
postgresql-common (173) unstable; urgency=medium

  [ Christoph Berg ]
  * README.Debian: Fix a typo.
  * Updated nl translation, thanks Frans Spiesschaert! (Closes: #812353)
  * Updated ru translation, thanks Sergey Alyoshin! (Closes: #815596)
  * Updated ja translation, thanks Takuma Yamada! (Closes: #816069)
  * preinst_check_catversion: Handle missing catalog version file.
  * pg_renamecluster: Don't try to rename a non-existing stats directory.
  * pg_conftool: Refuse operation on non-existing clusters.
  * maintscript-functions, templates: Remove '#' characters from upgrade
    instructions on catalog version change for easier cut-and-paste.
  * t/032_ssl_key_permissions.t: Validate server snakeoil key checks.
  * pgdg/apt.postgresql.org.sh: Add xenial and trusty.

  [ Adam Conrad ]
  * pgcommon.sh: Adjust for >= xenial using Debian-style locale generation
    methods, and allow fallback to the old Ubuntu method for old releases.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Mar 2016 15:08:06 +0200

postgresql-common (172) unstable; urgency=medium

  [ Christoph Berg ]
  * pg_buildext: Mute diff warning about missing debian/tests/control.in.
  * pg_ctlcluster: Skip systemctl redirect with --bindir.
  * pg_createcluster: Drop warning if /tmp is used as socket directory.
    Instead, just print the socket directory on cluster creation.
  * Update French debconf translations, thanks Julien Patriarca!
    (Closes: #809800)
  * 9.5 released! Setting as default.

  [ Martin Pitt ]
  * debian/supported-versions: Switch Ubuntu 16.04 to 9.5.
  * debian/supported-versions: Drop obsolete Ubuntu versions.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 07 Jan 2016 15:13:06 +0100

postgresql-common (171) unstable; urgency=medium

  [ Christoph Berg ]
  * pgdg: Deprecate 8.4 and 9.0.
  * Enable 9.4 for wheezy-backports.
  * pg_createcluster: Fix stats_temp_directory handling on 8.3, thanks to
    Marco Nenciarini for the inital patch.
  * pg_createcluster: Mute verbose chattr output.
  * pg_conftool: Don't quote output in '-s'hort mode.
  * debian/maintscripts-functions: If the catalog version changes in
    devel/alpha versions, save a minimal copy of the old version binaries in
    the preinst to enable using pg_upgrade. Use debconf in the postinst to
    instruct the user how to proceed with the upgrade.
  * pg_buildext: Replace multiple occurrences of PGVERSION on the same line,
    and implement replacing for debian/tests/control.in.
  * t/015_start_stop.t: Validate pg_ctlcluster/systemctl exit codes.
  * pg_ctlcluster: Redirect requests to systemd when invoked as root and no
    extra pg_ctl or postgres options are given.
    Trying to start already running clusters clusters will return 0 now
    (was 2 in the native implementation). (Closes: #784878)
  * pg_createcluster, pg_renamecluster: Warn on cluster names with dashes.
  * pg_upgradecluster: Deprecate ssl_renegotiation_limit in 9.5.

  [ Martin Pitt ]
  * pg_upgradecluster: Fix "ANALZYE" typo.
  * debian/supported-versions: Add Ubuntu 16.04.
  * Update Turkish debconf translations, thanks Atila KOÇ!
    (Closes: #799274)
  * t/020_create_sql_remove.t: Skip postmaster OOM killer adjustment when
    running in a container, as these often have restricted privileges.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 18 Dec 2015 16:22:37 +0100

postgresql-common (170) unstable; urgency=medium

  [ Christoph Berg ]
  * pg_createcluster, pg_dropcluster: When an auto-started cluster is created/
    dropped by root, notify systemd to update the dependencies of
    postgresql.service.wants.
  * pg_dropcluster, pg_renamecluster: Handle stats_temp_directory.
  * testsuite, pg_virtualenv: Remove the unshare hack, too much trouble.
  * pg_buildext, pg_virtualenv: Add PG_VIRTUALENV_NEWPID and
    PG_VIRTUALENV_UNSHARE variables; pg_buildext selects unshare -n by default.
  * t/025_logging.t: Improve syslog detection in the test environment.
  * pg_upgradecluster, t/030_errors.t: Unbreak after we changed the old=new
    error message.
  * PgCommon.pm: make read_cluster_conf_file read postgresql.auto.conf as well
    (Closes: #787154)
  * pg_upgradecluster: Support upgrading tablespaces. (Closes: #772202)
  * t/TestLib.pm: New function program_ok().
  * t/040_upgrade.t: Skip testing pg_upgrade with datallowconn = f, it does
    not support that anymore as of May 2015.
  * t/170_extensions.t: Catch warning with chkpass >= 9.5.
  * debian/maintscripts-functions: Unset all locale-specific environment
    variables when creating the initial database cluster. (Closes: #791526)
  * Add /var/log/postgresql to /usr/lib/tmpfiles.d/postgresql.conf.
  * Also set OOMScoreAdjust in postgresql@.service.
  * pg_ctlcluster: OOM-protect 9.0 as well.
  * pg_lsclusters: Color online/down clusters green/red.
  * supported-versions: Accept DEB_PG_SUPPORTED_VERSIONS as well.
  * Ship /etc/postgresql/ in postgresql-common. (Closes: #801140)

  [ Martin Pitt ]
  * pg_createcluster: Show the locale selected with --locale instead of the
    current one. (LP: #1467061)

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 08 Oct 2015 13:48:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>, Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
-Standards-Version: 3.9.5
-Vcs-Bzr: https://alioth.debian.org/scm/loggerhead/pkg-postgresql/postgresql-common/trunk
-Vcs-Browser: https://alioth.debian.org/scm/loggerhead/pkg-postgresql/postgresql-common/trunk/changes
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-common.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-common.git
 Build-Depends: debhelper (>= 9),
  dh-systemd (>= 1.19) | sysvinit (<< 2.88dsf-42),
  lsb-release

=== debian/tests/control ===
Tests: default-psql
Depends: postgresql
Restrictions: needs-root

## postgresql-common 173ubuntu0.3

=== debian/changelog ===
postgresql-common (173ubuntu0.3) xenial-security; urgency=medium

  * SECURITY UPDATE: Privilege Escalation via Arbitrary Directory Creation
    - pg_ctlcluster: Drop privileges before creating socket and stats temp
      directories outside /var/run/postgresql. The default configuration is
      not affected by this change. Users with directories on volatile
      storage (tmpfs) in other locations have to make sure the parent
      directory is writable for the cluster owner.
    - Thanks to Rich Mirch and Christoph Berg.
    - CVE-2019-3466

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Nov 2019 10:31:07 -0500

postgresql-common (173ubuntu0.2) xenial; urgency=medium

  * Convert triggers to noawait (LP: #1780996)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 11 Jul 2018 17:13:21 +0200

postgresql-common (173ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: symlink attack vulnerability
    - drop privileges when creating log file in pg_ctlcluster.
    - c8989206ec360f199400c74f129f7b4cb878c1ee
    - CVE-2016-1255
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 Nov 2017 08:17:29 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>, Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-common.git

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
ifneq ($(findstring bpo,$(VERSION)),)
	FLAVOR := debian-backports
else ifneq ($(findstring pgdg,$(VERSION)),)
	FLAVOR := pgdg
else
	FLAVOR := default
endif
SUPPORTED_VERSIONS := $(shell PG_SUPPORTED_VERSIONS="$(FLAVOR)" debian/supported-versions)
DEFAULT_VER := $(lastword $(SUPPORTED_VERSIONS))

# use dh_systemd_* only on recent dists that have dh-systemd (>= 1.19)
ifneq ($(wildcard /usr/bin/dh_systemd_start),)
WITH_SYSTEMD=--with systemd
endif

%:
	dh $@ $(WITH_SYSTEMD)

override_dh_auto_configure:
	@echo "### Building postgresql-common flavor $(FLAVOR)"
	@echo "### Supported PostgreSQL versions: $(SUPPORTED_VERSIONS) (default version: $(DEFAULT_VER))"

override_dh_install:
	dh_install
	$(MAKE) -C systemd install DESTDIR=$(CURDIR)/debian/postgresql-common
	install -m 644 -D debian/postgresql-common.sysctl debian/postgresql-common/etc/sysctl.d/30-postgresql-shm.conf
ifneq ($(FLAVOR),default)
	/bin/echo -e "# See /usr/share/postgresql-common/supported-versions for documentation of this file\n$(FLAVOR)" > debian/postgresql-client-common/etc/postgresql-common/supported_versions
endif

override_dh_installinit:
	dh_installinit --name=postgresql -u'defaults 19 21' -r

override_dh_gencontrol:
	dh_gencontrol -ppostgresql-server-dev-all -- -Vserver-dev-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-server-dev-$v,)"

	# the versionless metapackages need to have version numbers which match
	# the server version, not the p-common version
	dh_gencontrol -ppostgresql -ppostgresql-client -ppostgresql-doc -ppostgresql-contrib  -- \
		-Vdefault-version="$(DEFAULT_VER)" -v'$(DEFAULT_VER)+$${source:Version}'

ifeq ($(FLAVOR),pgdg)
	# for apt.postgresql.org builds, pull in the repository key package
	dh_gencontrol -ppostgresql-client-common -- -Vpgdg:Depends="pgdg-keyring"
endif

	dh_gencontrol --remaining-packages

## postgresql-common 173+8.0trisquel1

=== debian/changelog ===
postgresql-common (173+8.0trisquel1) flidas; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 10 Feb 2017 19:25:01 +0000

## postgresql-common 176+git1

=== debian/changelog ===
postgresql-common (176+git1) yakkety; urgency=medium

  Upload current Debian packaging git to pick up bug fixes and dependency
  adjustment for libreadline7.

  * Replace hardcoded Recommends: libreadline6 with a build-time detection of
    the current ABI.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 23 Sep 2016 16:07:37 +0200

postgresql-common (176) unstable; urgency=medium

  * Team upload.
  * Bump default PostgreSQL server version to 9.6.
  * Use C.UTF-8 instead of C when the initial main cluster is created and no
    locale is configured explicitly as system default. (Closes: #790507)
  * Support "NN" major version numbers, next version will be PostgreSQL 10.
  * debian/postgresql-common.templates: Properly mark not-to-be-translated
    shell code-only chunk as such using flag:translate. Thanks to Rhonda for
    the pointer! (See: #820756, #832282)
  * testsuite: Run with umask 077 only by default.
  * t/025_logging.t: Fix tests when grep thinks syslog is a binary file.
  * t/031_errors_disk_full.t: Raise tmpfs size to account for larger cluster
    footprint observed on ppc64el.
  * t/032_ssl_key_permissions.t: Skip tests on 9.0 and earlier.
  * pg_createcluster, t/025_logging.t: Skip logging_collector for 8.2.
  * Ship /etc/postgresql-common/supported_versions even in non-backport
    packages. (Closes: #808353)
  * pg_createcluster: Error out if provided log file is a directory.
    (Closes: #791556)
  * pg_upgradecluster: Set dynamic_shared_memory_type from the new
    postgresql.conf instead of defaulting to mmap. (Closes: #823209)
  * pg_upgradecluster: Use data checksums in the new cluster if the old uses
    them. (Closes: #830228)

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 23 Sep 2016 12:32:16 +0200

postgresql-common (175) unstable; urgency=medium

  * pg_createcluster, createcluster.conf: Set cluster_name on 9.5+.
  * pg_buildext: Don't set any CFLAGS by default.
  * start.conf: Update documentation/comments to recommend running
    systemctl daemon-reload.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 23 Jun 2016 12:26:27 +0200

postgresql-common (174) unstable; urgency=medium

  [ Christoph Berg ]
  * postgresql-common: Enforce strict version dependency on
    postgresql-client-common to avoid API mismatch bugs in PgCommon.pm.
  * maintscripts-functions: Save pg_dump on catversion bumps as well.
  * Updated ja translation by Takuma Yamada, thanks! (Closes: #820756)
  * Remove not-to-be-translated shell code-only chunk from
    debian/po/templates.pot. (debconf-updatepo --skip-pot to the rescue!)
    (Closes: #821445)

  [ Martin Pitt ]
  * debian/supported-versions: Add Ubuntu 16.10.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 11 May 2016 15:04:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,40 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Martin Pitt <mpitt@debian.org>, Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
-Standards-Version: 3.9.6
+Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Uploaders:
+ Martin Pitt <mpitt@debian.org>,
+ Christoph Berg <myon@debian.org>,
+ Peter Eisentraut <petere@debian.org>,
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-common.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-common.git
-Build-Depends: debhelper (>= 9),
+Build-Depends:
+ debhelper (>= 9),
  dh-systemd (>= 1.19) | sysvinit (<< 2.88dsf-42),
- lsb-release
+ lsb-release,
+ libreadline-dev,
 
 Package: postgresql-common
 Architecture: all
 Multi-Arch: foreign
-Conflicts: postgresql-7.4, postgresql-8.0
-Depends: postgresql-client-common (>= ${source:Version}), 
- procps, 
+Conflicts:
+ postgresql-7.4,
+ postgresql-8.0,
+Depends:
  adduser,
  debconf (>= 0.5.00) | debconf-2.0,
  lsb-base (>= 3.0-3),
+ postgresql-client-common (= ${source:Version}),
+ procps,
  ssl-cert (>= 1.0.11),
  ucf,
- ${misc:Depends}
-Recommends: logrotate
-Breaks: postgresql-9.1 (<< 9.1.1-3~), systemd (<< 204)
+ ${misc:Depends},
+Recommends:
+ logrotate,
+Breaks:
+ postgresql-9.1 (<< 9.1.1-3~),
+ systemd (<< 204),
 Description: PostgreSQL database-cluster manager
  The postgresql-common package provides a structure under which
  multiple versions of PostgreSQL may be installed and/or multiple
@@ -44,9 +54,13 @@
 Package: postgresql-client-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${pgdg:Depends},
- netbase
-Recommends: lsb-release, libreadline6
+Depends:
+ netbase,
+ ${misc:Depends},
+ ${pgdg:Depends},
+Recommends:
+ ${readline:Recommends},
+ lsb-release,
 Description: manager for multiple PostgreSQL client versions
  The postgresql-client-common package provides a structure under which
  multiple versions of PostgreSQL client programs may be installed at
@@ -64,13 +78,14 @@
 
 Package: postgresql-server-dev-all
 Architecture: all
-Depends: ${misc:Depends},
- postgresql-common (>= 117~),
+Depends:
+ dctrl-tools,
  iproute2 | net-tools,
  lsb-release,
- dctrl-tools,
  make,
- ${server-dev-all-depends}
+ postgresql-common (>= 117~),
+ ${misc:Depends},
+ ${server-dev-all-depends},
 Description: extension build tool for multiple PostgreSQL versions
  The postgresql-server-dev-all package provides the pg_buildext script for
  simplifying packaging of a PostgreSQL extension supporting multiple major
@@ -85,8 +100,11 @@
 
 Package: postgresql
 Architecture: all
-Depends: postgresql-${default-version}, ${misc:Depends}
-Suggests: postgresql-doc
+Depends:
+ postgresql-${default-version},
+ ${misc:Depends},
+Suggests:
+ postgresql-doc,
 Description: object-relational SQL database (supported version)
  This metapackage always depends on the currently supported PostgreSQL
  database server version.
@@ -102,7 +120,9 @@
 Package: postgresql-client
 Architecture: all
 Multi-Arch: foreign
-Depends: postgresql-client-${default-version}, ${misc:Depends}
+Depends:
+ postgresql-client-${default-version},
+ ${misc:Depends},
 Description: front-end programs for PostgreSQL (supported version)
  This metapackage always depends on the currently supported database
  client package for PostgreSQL.
@@ -119,7 +139,9 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: postgresql-doc-${default-version}, ${misc:Depends}
+Depends:
+ postgresql-doc-${default-version},
+ ${misc:Depends},
 Description: documentation for the PostgreSQL database management system
  This metapackage always depends on the currently supported PostgreSQL
  database documentation package.
@@ -134,7 +156,9 @@
 
 Package: postgresql-contrib
 Architecture: all
-Depends: postgresql-contrib-${default-version}, ${misc:Depends}
+Depends:
+ postgresql-contrib-${default-version},
+ ${misc:Depends},
 Description: additional facilities for PostgreSQL (supported version)
  This metapackage always depends on the currently supported PostgreSQL
  database contrib package.

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,14 @@
 	FLAVOR := debian-backports
 else ifneq ($(findstring pgdg,$(VERSION)),)
 	FLAVOR := pgdg
+	# for apt.postgresql.org builds, pull in the repository key package
+	PGDG_DEPENDS := pgdg-keyring
 else
 	FLAVOR := default
 endif
 SUPPORTED_VERSIONS := $(shell PG_SUPPORTED_VERSIONS="$(FLAVOR)" debian/supported-versions)
 DEFAULT_VER := $(lastword $(SUPPORTED_VERSIONS))
+LIBREADLINE := $(shell dpkg-query -W --showformat '$${Status} $${Package}\n' 'libreadline[0-9]'| sed -n '/ installed / {s/^.* //; p}'|sort -ru | head -n1)
 
 # use dh_systemd_* only on recent dists that have dh-systemd (>= 1.19)
 ifneq ($(wildcard /usr/bin/dh_systemd_start),)
@@ -27,9 +30,7 @@
 	dh_install
 	$(MAKE) -C systemd install DESTDIR=$(CURDIR)/debian/postgresql-common
 	install -m 644 -D debian/postgresql-common.sysctl debian/postgresql-common/etc/sysctl.d/30-postgresql-shm.conf
-ifneq ($(FLAVOR),default)
 	/bin/echo -e "# See /usr/share/postgresql-common/supported-versions for documentation of this file\n$(FLAVOR)" > debian/postgresql-client-common/etc/postgresql-common/supported_versions
-endif
 
 override_dh_installinit:
 	dh_installinit --name=postgresql -u'defaults 19 21' -r
@@ -42,9 +43,6 @@
 	dh_gencontrol -ppostgresql -ppostgresql-client -ppostgresql-doc -ppostgresql-contrib  -- \
 		-Vdefault-version="$(DEFAULT_VER)" -v'$(DEFAULT_VER)+$${source:Version}'
 
-ifeq ($(FLAVOR),pgdg)
-	# for apt.postgresql.org builds, pull in the repository key package
-	dh_gencontrol -ppostgresql-client-common -- -Vpgdg:Depends="pgdg-keyring"
-endif
+	dh_gencontrol -ppostgresql-client-common -- -Vpgdg:Depends="$(PGDG_DEPENDS)" -Vreadline:Recommends=$(LIBREADLINE)
 
 	dh_gencontrol --remaining-packages

## postgresql-common 179

=== debian/changelog ===
postgresql-common (179) unstable; urgency=medium

  * Catch all pg_ctl output by redirecting it to /var/log/postgresql.
    (Closes: #830485)
  * Dump locale environment variables if setlocale fails.
    (Closes: #848869)
  * Set default log_line_prefix to '%m [%p] %q%u@%d ' to match upstream
    moving to '%m [%p] ' in PostgreSQL 10.
  * Support include_dir in read_conf_file. Patch by Andreas Dewes, thanks!
  * Support adding include directives to the new postgresql.conf from
    createcluster.conf; harness directives with an "add_" prefix, e.g.
    "add_include_dir".
  * Import new apt.postgresql.org key.
  * Support 9.6 for jessie-backports.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Jan 2017 23:03:12 +0100

postgresql-common (178) unstable; urgency=medium

  [ Christoph Berg ]
  * pg_buildext: Don't ask pg_virtualenv for a new network namespace by
    default.
  * postgresql-all: New meta package depending on all server packages in all
    supported versions. Intended to be used for installing test dependencies.
  * pg_upgradecluster: Properly upgrade databases with non-login role owners.
    (Closes: #614374, #838812)
  * pg_upgradecluster, pg_renamecluster: Update cluster_name.
  * Rebuild upgrades libreadline to 7 in unstable. (Closes: #845356)
  * Replace most occurrences of "postmaster" by "postgres". Notable leftover
    is the postmaster.1.gz leader of the manpages alternatives group.
  * pg_ctlcluster, t/020_create_sql_remove.t: Protect against symlink in
    /var/log/postgresql/ allowing the creation of arbitrary files elsewhere.
    Discovered by Dawid Golunski, thanks! (CVE-2016-1255)

  [ Martin Pitt ]
  * debian/supported-versions: Add Ubuntu 17.04, drop EOLed releases.
  * t/TestLib.pm, check_clean(): Quiesce stderr of netstat, which shows a "Not
    all processes could be identified" warning in unprivileged containers.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Dec 2016 17:11:15 +0100

postgresql-common (177) unstable; urgency=medium

  [ Martin Pitt ]
  * Replace hardcoded Recommends: libreadline6 with a build-time detection of
    the current ABI.

  [ Christoph Berg ]
  * Team upload.
  * Mark 9.6 as stable for apt.postgresql.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 28 Sep 2016 11:55:12 +0200

## postgresql-common 179ubuntu0.1

=== debian/changelog ===
postgresql-common (179ubuntu0.1) zesty-security; urgency=medium

  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 Nov 2017 08:12:07 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,
@@ -12,8 +13,8 @@
 Build-Depends:
  debhelper (>= 9),
  dh-systemd (>= 1.19) | sysvinit (<< 2.88dsf-42),
+ libreadline-dev,
  lsb-release,
- libreadline-dev,
 
 Package: postgresql-common
 Architecture: all
@@ -59,8 +60,8 @@
  ${misc:Depends},
  ${pgdg:Depends},
 Recommends:
+ lsb-release,
  ${readline:Recommends},
- lsb-release,
 Description: manager for multiple PostgreSQL client versions
  The postgresql-client-common package provides a structure under which
  multiple versions of PostgreSQL client programs may be installed at
@@ -170,3 +171,25 @@
  triggers, user-defined types and functions, outer joins, multiversion
  concurrency control.  Graphical user interfaces and bindings for many
  programming languages are available as well.
+
+Package: postgresql-all
+Architecture: all
+Depends:
+ libecpg-dev,
+ libpq-dev,
+ postgresql-server-dev-all,
+ ${postgresql-all-depends},
+ ${misc:Depends},
+Description: metapackage depending on all PostgreSQL server packages
+ This metapackage depends on all PostgreSQL server packages, in all
+ supported versions (excluding documentation and debug symbols). It
+ exists to facilitate depending on the server packages in test
+ environments.
+ .
+ PostgreSQL is a fully featured object-relational database management
+ system.  It supports a large part of the SQL standard and is designed
+ to be extensible by users in many aspects.  Some of the features are:
+ ACID transactions, foreign keys, views, sequences, subqueries,
+ triggers, user-defined types and functions, outer joins, multiversion
+ concurrency control.  Graphical user interfaces and bindings for many
+ programming languages are available as well.

## postgresql-common 181+deb9u1~bpo8+1

=== debian/changelog ===
postgresql-common (181+deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 15 Dec 2017 09:12:46 +0100

postgresql-common (181+deb9u1) stretch-security; urgency=medium

  * pg_ctlcluster, pg_createcluster, pg_upgradecluster: Use lchown instead
    of chown to mitigate privilege escalation via symlinks. (CVE-2017-8806.
    Related to CVE-2017-12172 in PostgreSQL; extends our earlier fix for
    CVE-2016-1255.)

 -- Christoph Berg <myon@debian.org>  Tue, 07 Nov 2017 20:54:52 +0100

postgresql-common (181~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christoph Berg <myon@debian.org>  Sun, 14 May 2017 18:00:57 +0200

postgresql-common (181) unstable; urgency=medium

  * debian/postgresql-common.config: Fix deprecation warning debconf message
    to use a numerical comparison on the version number.
  * pg_buildext: Fix to use a numerical comparison on the version number.
  * pg_buildext.pod: Drop outdated PG_VIRTUALENV_UNSHARE=-n documentation.
  * pgdg/apt.postgresql.org.sh: Add known distributions.
  * Updated Danish debconf translation by Joe Dalton, thanks!
    (Closes: #856787)

 -- Christoph Berg <myon@debian.org>  Sat, 15 Apr 2017 18:56:38 +0200

postgresql-common (180) unstable; urgency=medium

  * supported-versions: Retire 9.1 on apt.postgresql.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 09 Feb 2017 15:30:23 +0100

postgresql-common (179~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christoph Berg <myon@debian.org>  Wed, 15 Feb 2017 19:46:48 +0100

postgresql-common (178~bpo8+1) jessie-backports; urgency=medium

  * Backport to jessie-backports.
  * Import new apt.postgresql.org key.
  * Support 9.6 for jessie-backports.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Jan 2017 12:59:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,

## postgresql-common 181+deb9u2

=== debian/changelog ===
postgresql-common (181+deb9u2) stretch; urgency=medium

  * maintscripts-functions: Use 'deb-systemd-invoke stop "postgresql@$ver-*"'
    to prevent upgrading/removing server packages from stopping other major
    version clusters when running systemd. (Closes: #809811)
    (Use deb-systemd-invoke instead of invoke-rc.d; jessie's invoke-rc.d does
    not support service patterns.)

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 08 Jun 2018 11:16:28 +0200

## postgresql-common 181+deb9u3

=== debian/changelog ===
postgresql-common (181+deb9u3) stretch-security; urgency=medium

  * pg_ctlcluster: Drop privileges before creating socket and stats temp
    directories outside /var/run/postgresql. The default configuration is not
    affected by this change. Users with directories on volatile storage
    (tmpfs) in other locations have to make sure the parent directory is
    writable for the cluster owner. (CVE-2019-3466, discovered by Rich Mirch)

 -- Christoph Berg <myon@debian.org>  Tue, 12 Nov 2019 15:00:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  Christoph Berg <myon@debian.org>,
  Peter Eisentraut <petere@debian.org>,
 Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-common.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-common.git
+Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
+Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
  debhelper (>= 9),
  dh-systemd (>= 1.19) | sysvinit (<< 2.88dsf-42),

=== debian/rules ===
--- 
+++ 
@@ -40,8 +40,9 @@
 
 	# the versionless metapackages need to have version numbers which match
 	# the server version, not the p-common version
-	dh_gencontrol -ppostgresql -ppostgresql-client -ppostgresql-doc -ppostgresql-contrib  -- \
-		-Vdefault-version="$(DEFAULT_VER)" -v'$(DEFAULT_VER)+$${source:Version}'
+	dh_gencontrol -ppostgresql -ppostgresql-client -ppostgresql-doc -ppostgresql-contrib -ppostgresql-all -- \
+		-Vdefault-version="$(DEFAULT_VER)" -v'$(DEFAULT_VER)+$${source:Version}' \
+		-Vpostgresql-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-contrib-$v,postgresql-plperl-$v,postgresql-plpython-$v,postgresql-plpython3-$v,postgresql-pltcl-$v,)"
 
 	dh_gencontrol -ppostgresql-client-common -- -Vpgdg:Depends="$(PGDG_DEPENDS)" -Vreadline:Recommends=$(LIBREADLINE)
